<?php


use Hura8\Components\Product\AdminController\AProductCategoryController;

$objAProductCategoryController = new AProductCategoryController();


$id = (int) getRequest("id");
$item_info = ($id > 0) ? $objAProductCategoryController->getFullInfo($id) : null;
if(!$item_info) $item_info = $objAProductCategoryController->getEmptyInfo([]);


return [
    'item_info' => $item_info,
    'categoryDropBox' =>  $objAProductCategoryController->getDropBox( $item_info['parent_id'], 0, 1),
    'update_status' => getRequest("us"),
];
